

thetahat <- thetahat.0
thetahat <- getparam.norm(s,thetahat)

set.seed(1015)
trk <- seq(1,nrow(L),1)
boot.2 <- sample(trk,1+abs(nrow(L)/4),replace=TRUE)

s.2 <- prelim.norm(L[boot.2,])
thetahat.2 <- em.norm(s.2, criterion=1e-09)
thetahat.2 <- getparam.norm(s.2,thetahat.2)

thetahat$mu <- thetahat.2$mu
thetahat$sigma <- thetahat.2$sigma

thetahat <- makeparam.norm(s,thetahat)

rngseed(2003)
theta.2 <- da.norm(s,thetahat,steps=500,showits=TRUE)
L.2 <- as.data.frame(imp.norm(s,theta.2,L))

L.2$ccode <- Leader.data$ccode


model1.L2 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres
                               + civwar
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop 
                               + age + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.2,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))

fit.model1.L2 <- cox.zph(model1.L2, transform='log')


model1.tx.L2 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + txiniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.2,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


m1.coef.L2 <- list(coef(model1.tx.L2))
m1.se.L2 <- list(sqrt(diag(vcov(model1.tx.L2))))

attach(Leader.data)

L.2$mixdwinsh <- mixed*dwinsh
L.2$mixdlosesh <- mixed*dlosesh
L.2$mixddrawsh <- mixed*ddrawsh


L.2$dparldwinsh <- demparl*dwinsh
L.2$dparldlosesh <- demparl*dlosesh
L.2$dparlddrawsh <- demparl*ddrawsh


L.2$dpresdwinsh <- dempres*dwinsh
L.2$dpresdlosesh <- dempres*dlosesh
L.2$dpresddrawsh <- dempres*ddrawsh


L.2$autdwinsh <- autoc*dwinsh
L.2$autdlosesh <- autoc*dlosesh
L.2$autddrawsh <- autoc*ddrawsh


L.2$mixdwinwar <- mixed*dwinwar
L.2$mixdlosewar <- mixed*dlosewar
L.2$mixddrawwar <- mixed*ddrawwar


L.2$dparldwinwar <- demparl*dwinwar
L.2$dparldlosewar <- demparl*dlosewar
L.2$dparlddrawwar <- demparl*ddrawwar


L.2$dpresdwinwar <- dempres*dwinwar
L.2$dpresdlosewar <- dempres*dlosewar
L.2$dpresddrawwar <- dempres*ddrawwar


L.2$autdwinwar <- autoc*dwinwar
L.2$autdlosewar <- autoc*dlosewar
L.2$autddrawwar <- autoc*ddrawwar

detach(Leader.data)

model2.L2 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres 
                               + civwar 
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop
                               + age + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.2,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


fit.model2.L2 <- cox.zph(model2.L2, transform='log')


model2.tx.L2 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + txiniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.2,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))



m2.coef.L2 <- list(coef(model2.tx.L2))
m2.se.L2 <- list(sqrt(diag(vcov(model2.tx.L2))))

#dfbeta.m2.L2 <- residuals(model2.tx.L2,type='dfbeta')

#for (i in 1:length(coef(model2.tx.L2))) {
#    print(max(dfbeta.m2.L2[,i]))
#    #print(min(dfbeta.m2.L2[,i]))
#    }


Ht.L2 <- basehaz(model2.tx.L2,centered=FALSE)
