

thetahat <- thetahat.0
thetahat <- getparam.norm(s,thetahat)

set.seed(2107)
trk <- seq(1,nrow(L),1)
boot.3 <- sample(trk,1+abs(nrow(L)/4),replace=TRUE)

s.3 <- prelim.norm(L[boot.3,])
thetahat.3 <- em.norm(s.3, criterion=1e-09)
thetahat.3 <- getparam.norm(s.3,thetahat.3)

thetahat$mu <- thetahat.3$mu
thetahat$sigma <- thetahat.3$sigma

thetahat <- makeparam.norm(s,thetahat)

rngseed(3904)
theta.3 <- da.norm(s,thetahat,steps=500,showits=TRUE)
L.3 <- as.data.frame(imp.norm(s,theta.3,L))

L.3$ccode <- Leader.data$ccode


model1.L3 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres
                               + civwar
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop 
                               + age + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.3,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))

fit.model1.L3 <- cox.zph(model1.L3, transform='log')




model1.tx.L3 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + txiniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.3,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


m1.coef.L3 <- list(coef(model1.tx.L3))
m1.se.L3 <- list(sqrt(diag(vcov(model1.tx.L3))))


attach(Leader.data)

L.3$mixdwinsh <- mixed*dwinsh
L.3$mixdlosesh <- mixed*dlosesh
L.3$mixddrawsh <- mixed*ddrawsh


L.3$dparldwinsh <- demparl*dwinsh
L.3$dparldlosesh <- demparl*dlosesh
L.3$dparlddrawsh <- demparl*ddrawsh


L.3$dpresdwinsh <- dempres*dwinsh
L.3$dpresdlosesh <- dempres*dlosesh
L.3$dpresddrawsh <- dempres*ddrawsh


L.3$autdwinsh <- autoc*dwinsh
L.3$autdlosesh <- autoc*dlosesh
L.3$autddrawsh <- autoc*ddrawsh


L.3$mixdwinwar <- mixed*dwinwar
L.3$mixdlosewar <- mixed*dlosewar
L.3$mixddrawwar <- mixed*ddrawwar


L.3$dparldwinwar <- demparl*dwinwar
L.3$dparldlosewar <- demparl*dlosewar
L.3$dparlddrawwar <- demparl*ddrawwar


L.3$dpresdwinwar <- dempres*dwinwar
L.3$dpresdlosewar <- dempres*dlosewar
L.3$dpresddrawwar <- dempres*ddrawwar


L.3$autdwinwar <- autoc*dwinwar
L.3$autdlosewar <- autoc*dlosewar
L.3$autddrawwar <- autoc*ddrawwar

detach(Leader.data)

model2.L3 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres 
                               + civwar 
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop
                               + age + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.3,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


fit.model2.L3 <- cox.zph(model2.L3, transform='log')


model2.tx.L3 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + txiniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.3,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))



m2.coef.L3 <- list(coef(model2.tx.L3))
m2.se.L3 <- list(sqrt(diag(vcov(model2.tx.L3))))

Ht.L3 <- basehaz(model2.tx.L3,centered=FALSE)
