

thetahat <- thetahat.0
thetahat <- getparam.norm(s,thetahat)

set.seed(2605)
trk <- seq(1,nrow(L),1)
boot.4 <- sample(trk,1+abs(nrow(L)/4),replace=TRUE)

s.4 <- prelim.norm(L[boot.4,])
thetahat.4 <- em.norm(s.4, criterion=1e-09)
thetahat.4 <- getparam.norm(s.4,thetahat.4)

thetahat$mu <- thetahat.4$mu
thetahat$sigma <- thetahat.4$sigma

thetahat <- makeparam.norm(s,thetahat)

rngseed(1511)
theta.4 <- da.norm(s,thetahat,steps=500,showits=TRUE)
L.4 <- as.data.frame(imp.norm(s,theta.4,L))

L.4$ccode <- Leader.data$ccode


model1.L4 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres
                               + civwar
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop 
                               + age + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.4,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))

fit.model1.L4 <- cox.zph(model1.L4, transform='log')


model1.tx.L4 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar +txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + txiniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.4,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


m1.coef.L4 <- list(coef(model1.tx.L4))
m1.se.L4 <- list(sqrt(diag(vcov(model1.tx.L4))))


attach(Leader.data)

L.4$mixdwinsh <- mixed*dwinsh
L.4$mixdlosesh <- mixed*dlosesh
L.4$mixddrawsh <- mixed*ddrawsh


L.4$dparldwinsh <- demparl*dwinsh
L.4$dparldlosesh <- demparl*dlosesh
L.4$dparlddrawsh <- demparl*ddrawsh


L.4$dpresdwinsh <- dempres*dwinsh
L.4$dpresdlosesh <- dempres*dlosesh
L.4$dpresddrawsh <- dempres*ddrawsh


L.4$autdwinsh <- autoc*dwinsh
L.4$autdlosesh <- autoc*dlosesh
L.4$autddrawsh <- autoc*ddrawsh


L.4$mixdwinwar <- mixed*dwinwar
L.4$mixdlosewar <- mixed*dlosewar
L.4$mixddrawwar <- mixed*ddrawwar


L.4$dparldwinwar <- demparl*dwinwar
L.4$dparldlosewar <- demparl*dlosewar
L.4$dparlddrawwar <- demparl*ddrawwar


L.4$dpresdwinwar <- dempres*dwinwar
L.4$dpresdlosewar <- dempres*dlosewar
L.4$dpresddrawwar <- dempres*ddrawwar


L.4$autdwinwar <- autoc*dwinwar
L.4$autdlosewar <- autoc*dlosewar
L.4$autddrawwar <- autoc*ddrawwar

detach(Leader.data)

model2.L4 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres 
                               + civwar 
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop
                               + age + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.4,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


fit.model2.L4 <- cox.zph(model2.L4, transform='log')


model2.tx.L4 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + txiniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.4,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))



m2.coef.L4 <- list(coef(model2.tx.L4))
m2.se.L4 <- list(sqrt(diag(vcov(model2.tx.L4))))

Ht.L4 <- basehaz(model2.tx.L4,centered=FALSE)
