

thetahat <- thetahat.0
thetahat <- getparam.norm(s,thetahat)

set.seed(2910)
trk <- seq(1,nrow(L),1)
boot.5 <- sample(trk,1+abs(nrow(L)/4),replace=TRUE)

s.5 <- prelim.norm(L[boot.5,])
thetahat.5 <- em.norm(s.5, criterion=1e-09)
thetahat.5 <- getparam.norm(s.5,thetahat.5)

thetahat$mu <- thetahat.5$mu
thetahat$sigma <- thetahat.5$sigma

thetahat <- makeparam.norm(s,thetahat)

rngseed(1029)
theta.5 <- da.norm(s,thetahat,steps=500,showits=TRUE)
L.5 <- as.data.frame(imp.norm(s,theta.5,L))

L.5$ccode <- Leader.data$ccode


model1.L5 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres
                               + civwar
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop 
                               + age + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.5,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))

fit.model1.L5 <- cox.zph(model1.L5, transform='log')



model1.tx.L5 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + ddrawsh
                               + iniwar + txiniwar + tginvwar
                               + dwinwar + dlosewar + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.5,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


m1.coef.L5 <- list(coef(model1.tx.L5))
m1.se.L5 <- list(sqrt(diag(vcov(model1.tx.L5))))


attach(Leader.data)

L.5$mixdwinsh <- mixed*dwinsh
L.5$mixdlosesh <- mixed*dlosesh
L.5$mixddrawsh <- mixed*ddrawsh


L.5$dparldwinsh <- demparl*dwinsh
L.5$dparldlosesh <- demparl*dlosesh
L.5$dparlddrawsh <- demparl*ddrawsh


L.5$dpresdwinsh <- dempres*dwinsh
L.5$dpresdlosesh <- dempres*dlosesh
L.5$dpresddrawsh <- dempres*ddrawsh


L.5$autdwinsh <- autoc*dwinsh
L.5$autdlosesh <- autoc*dlosesh
L.5$autddrawsh <- autoc*ddrawsh


L.5$mixdwinwar <- mixed*dwinwar
L.5$mixdlosewar <- mixed*dlosewar
L.5$mixddrawwar <- mixed*ddrawwar


L.5$dparldwinwar <- demparl*dwinwar
L.5$dparldlosewar <- demparl*dlosewar
L.5$dparlddrawwar <- demparl*ddrawwar


L.5$dpresdwinwar <- dempres*dwinwar
L.5$dpresdlosewar <- dempres*dlosewar
L.5$dpresddrawwar <- dempres*ddrawwar


L.5$autdwinwar <- autoc*dwinwar
L.5$autdlosewar <- autoc*dlosewar
L.5$autddrawwar <- autoc*ddrawwar

detach(Leader.data)

model2.L5 <- coxph(Surv(t0, t, d) ~ mixed + demparl + dempres 
                               + civwar 
                               + lnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop
                               + age + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.5,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


fit.model2.L5 <- cox.zph(model2.L5, transform='log')


model2.tx.L5 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autddrawsh
                               + mixdwinsh + mixdlosesh + mixddrawsh
                               + dparldwinsh + dparldlosesh + dparlddrawsh
                               + dpresdwinsh + dpresdlosesh + dpresddrawsh
                               + iniwar + txiniwar + tginvwar
                               + autdwinwar + autdlosewar + autddrawwar
                               + mixdwinwar + mixdlosewar + mixddrawwar
                               + dparldwinwar + dparldlosewar + dparlddrawwar
                               + dpresdwinwar + dpresdlosewar + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.5,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))



m2.coef.L5 <- list(coef(model2.tx.L5))
m2.se.L5 <- list(sqrt(diag(vcov(model2.tx.L5))))

Ht.L5 <- basehaz(model2.tx.L5,centered=FALSE)
