trk.lnencap <- c(en.50+as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4]/365.25)*ench.25/100,
                 min(en.50+as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4]/365.25)*ench.25/100)
                 + as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]/365.25)*ench.50/100)

trk.lntropen <- c(tr.50+as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4]/365.25)*trch.25/100,
                 min(tr.50+as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4]/365.25)*trch.25/100)
                 + as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]/365.25)*trch.50/100)




# scenario 3 -- autocracy

scen3.aut <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),           # 1
                                  txmixed=rep(0,length(Ht.L1$time)),         # 2
                                  demparl=rep(0,length(Ht.L1$time)),         # 3
                                  txdemparl=rep(0,length(Ht.L1$time)),       # 4
                                  dempres=rep(0,length(Ht.L1$time)),         # 5
                                  txdempres=rep(0,length(Ht.L1$time)),       # 6
                                  civwar=rep(0,length(Ht.L1$time)),          # 7
                                  txcivwar=rep(0,length(Ht.L1$time)),        # 8
                                  lnencap=trk.lnencap,                       # 9
                                  txlnencap=trk.lnencap*log(Ht.L1$time),     # 10
                                  encapchg=c(rep(ench.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                             rep(ench.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))),  # 11
                                  lntropen=trk.lntropen,                     # 12
                                  tropenchg=c(rep(trch.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                              rep(trch.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))), # 13
                                  lnpop=pop.50,                              # 14
                                  txlnpop=pop.50*log(Ht.L1$time),            # 15
                                  age=trk.age,                               # 16
                                  txage=trk.age*log(Ht.L1$time),             # 17
                                  powtimes=rep(0,length(Ht.L1$time)),        # 18
                                  inish=rep(0,length(Ht.L1$time)),           # 19
                                  tginvsh=rep(0,length(Ht.L1$time)),         # 20
                                  autdwinsh=rep(0,length(Ht.L1$time)),       # 21
                                  autdlosesh=rep(0,length(Ht.L1$time)),      # 22
                                  autddrawsh=rep(0,length(Ht.L1$time)),      # 23
                                  mixdwinsh=rep(0,length(Ht.L1$time)),       # 24
                                  mixdlosesh=rep(0,length(Ht.L1$time)),      # 25
                                  mixddrawsh=rep(0,length(Ht.L1$time)),      # 26
                                  dparldwinsh=rep(0,length(Ht.L1$time)),     # 27
                                  dparldlosesh=rep(0,length(Ht.L1$time)),    # 28
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),    # 29
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),     # 30
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),    # 31
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),    # 32
                                  iniwar=rep(0,length(Ht.L1$time)),          # 33
                                  txiniwar=rep(0,length(Ht.L1$time)),        # 34
                                  tginvwar=rep(0,length(Ht.L1$time)),        # 35
                                  autdwinwar=rep(0,length(Ht.L1$time)),      # 36
                                  autdlosewar=rep(0,length(Ht.L1$time)),     # 37
                                  autddrawwar=rep(0,length(Ht.L1$time)),     # 38
                                  mixdwinwar=rep(0,length(Ht.L1$time)),      # 39
                                  mixdlosewar=rep(0,length(Ht.L1$time)),     # 40
                                  mixddrawwar=rep(0,length(Ht.L1$time)),     # 41
                                  dparldwinwar=rep(0,length(Ht.L1$time)),    # 42
                                  dparldlosewar=rep(0,length(Ht.L1$time)),   # 43
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),   # 44
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),    # 45
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),   # 46
                                  dpresddrawwar=rep(0,length(Ht.L1$time))))  # 47


b.t <- (model2.imp$est) 
xb.aut.3 <- scen3.aut%*%b.t

out.scen3.aut <- NULL
out.scen3.aut[1] <- exp(-exp(xb.aut.3[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen3.aut[i] <- out.scen3.aut[i-1]*exp(-exp(xb.aut.3[i])*Ht[i])/exp(-exp(xb.aut.3[i])*Ht[i-1])
     }

rm(scen3.aut)


# scenario 3 -- mixed

scen3.mix <- as.matrix(data.frame(mixed=rep(1,length(Ht.L1$time)),
                                  txmixed=trk.mixed*log(Ht.L1$time),
                                  demparl=rep(0,length(Ht.L1$time)),
                                  txdemparl=rep(0,length(Ht.L1$time)),
                                  dempres=rep(0,length(Ht.L1$time)),
                                  txdempres=rep(0,length(Ht.L1$time)),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=c(rep(ench.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                             rep(ench.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))),  
                                  lntropen=trk.lntropen,                     
                                  tropenchg=c(rep(trch.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                              rep(trch.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))), 
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.mix.3 <- scen3.mix%*%b.t

out.scen3.mix <- NULL
out.scen3.mix[1] <- exp(-exp(xb.mix.3[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen3.mix[i] <- out.scen3.mix[i-1]*exp(-exp(xb.mix.3[i])*Ht[i])/exp(-exp(xb.mix.3[i])*Ht[i-1])
     }

rm(scen3.mix)


# scenario 3 -- parliamentary


scen3.parl <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(1,length(Ht.L1$time)),
                                  txdemparl=trk.demparl*log(Ht.L1$time),
                                  dempres=rep(0,length(Ht.L1$time)),
                                  txdempres=rep(0,length(Ht.L1$time)),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=c(rep(ench.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                             rep(ench.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))),  
                                  lntropen=trk.lntropen,                     
                                  tropenchg=c(rep(trch.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                              rep(trch.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))), 
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.parl.3 <- scen3.parl%*%b.t

out.scen3.parl <- NULL
out.scen3.parl[1] <- exp(-exp(xb.parl.3[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen3.parl[i] <- out.scen3.parl[i-1]*exp(-exp(xb.parl.3[i])*Ht[i])/exp(-exp(xb.parl.3[i])*Ht[i-1])
     }

rm(scen3.parl)


# scenario 3 -- presidential


scen3.pres <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(0,length(Ht.L1$time)),
                                  txdemparl=rep(0,length(Ht.L1$time)),
                                  dempres=rep(1,length(Ht.L1$time)),
                                  txdempres=trk.dempres*log(Ht.L1$time),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=c(rep(ench.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                             rep(ench.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))),  
                                  lntropen=trk.lntropen,                     
                                  tropenchg=c(rep(trch.25,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)<=4])),
                                              rep(trch.50,length(Ht.L1$time[as.integer(Ht.L1$time/365.25)>4]))), 
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.pres.3 <- scen3.pres%*%b.t

out.scen3.pres <- NULL
out.scen3.pres[1] <- exp(-exp(xb.pres.3[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen3.pres[i] <- out.scen3.pres[i-1]*exp(-exp(xb.pres.3[i])*Ht[i])/exp(-exp(xb.pres.3[i])*Ht[i-1])
     }

rm(scen3.pres)
